# Tomcat
server:
  port: 9100

# Spring
spring:
  application:
    # 应用名称
    name: ruoyi-monitor
  profiles:
    # 环境配置
    active: @profiles.active@

--- # nacos 配置
spring:
  cloud:
    nacos:
      # nacos 服务地址
      server-addr: ${NACOS_URL:127.0.0.1:8848}
      username: @nacos.username@
      password: @nacos.password@
      discovery:
        # 注册组
        group: @nacos.discovery.group@
        namespace: ${RY_NAMESPACE:dev}
      config:
        # 配置组
        group: @nacos.config.group@
        namespace: ${RY_NAMESPACE:dev}
  config:
    import:
      - optional:nacos:application-common.yml
      - optional:nacos:${spring.application.name}.yml
